/*
 * $Header: alloc.h,v 1.3 90/11/10 22:53:13 stolcke Exp Locker: stolcke $
 * $Log:	alloc.h,v $
 * Revision 1.3  90/11/10  22:53:13  stolcke
 * *** empty log message ***
 * 
 * Revision 1.2  90/11/10  20:02:11  stolcke
 * added decl for new_string
 * 
 */
#define new( type ) (type *) calloc( 1, sizeof( type ) )

#define new_array_of(n, type) (type*) calloc((unsigned) n, sizeof(type))

#define change_array_size( array, n, type ) (type*) realloc(array, (unsigned)n*sizeof(type))

#define new_2d_array_of( n1, n2, type ) \
	(type**) calloc_2d ((unsigned) n1, (unsigned) n2, sizeof(type))

#define new_3d_array_of( n1, n2, n3, type ) \
	(type***) calloc_3d ((unsigned) n1, (unsigned) n2, (unsigned) n3, sizeof(type))

#define change_2d_array_size( array, n1, n2, m1, m2, type ) \
	(type**) realloc_2d (array,(unsigned)n1,(unsigned)n2, \
				(unsigned)m1,(unsigned)m2, sizeof(type))

extern char * calloc();
extern char * malloc();
char ** calloc_2d ();
char *** calloc_3d ();
char ** realloc_2d ();
char * new_string ();
