/*
       Test data generator for travelling salesman algorithm
*/
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#define	MAXRAND	100
/*
       random  --  generate random number between 0 and	MAXRAND-1.
*/
int random()
{      int n;
       n = rand() % MAXRAND;
       assert(n>=0);		       /* had better be	*/
       return(n);		       /* should be positive */
}
/*
       gentab  --  generate the	table
*/
void gentab(cities)
int cities;			       /* number of cities */
{      short i;			       /* for loop */
       for (i=0; i<cities; i++)	       /* for number of	cities */
       {       printf("%d %d City-%d\n",
	       random(),random(),i);
       }
}
/*
       main program
*/
void main(argc,argv)
int argc;
char *argv[];		       /* args */
{      int cities;
       if (argc	!= 2)
       {       fprintf(stderr,"Usage: mktest <number of cities>\n");
	       exit(1);
       }
       if (sscanf(argv[1],"%d",&cities) != 1)
       {       fprintf(stderr,"Invalid number of cities: %s\n",argv[1]);
	       exit(1);
       }
       gentab(cities);
}
